[jira] [Commented] (XMLBEANS-539) Support for newer versions of Saxon as an XPath engine

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

[jira] [Commented] (XMLBEANS-539) Support for newer versions of Saxon as an XPath engine

JIRA jira@apache.org

    [ https://issues.apache.org/jira/browse/XMLBEANS-539?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16903860#comment-16903860 ]

Travis Schneeberger commented on XMLBEANS-539:
----------------------------------------------

Any updates on this?  Version 9.9.x exists now.  The following is the latest currently: [https://mvnrepository.com/artifact/net.sf.saxon/Saxon-HE/9.9.1-4]

Also, along with this change, it would be nice if the optional dependencies were declared in the maven pom.xml as optional.  This makes it easier for maven users to know which coordinates to use when installing one of these dependencies.

> Support for newer versions of Saxon as an XPath engine
> ------------------------------------------------------
>
>                 Key: XMLBEANS-539
>                 URL: https://issues.apache.org/jira/browse/XMLBEANS-539
>             Project: XMLBeans
>          Issue Type: Wish
>          Components: XPath
>            Reporter: Srecko Mandelj
>            Priority: Major
>
> It is still a limitation of using old version of Saxon to achieve xpath search in XmlBeans. It would be nice to be able to use Saxon HE with XmlBeans. Older versions of saxon (including early versions of HE prior to 9.5) have problems with new versions of java (getting error /lib/saxon9-xpath.jar/META-INF/services/javax.xml.xpath.XPathFactory:2: Illegal configuration-file syntax at java.xml/javax.xml.xpath.XPathFactory.newInstance(XPathFactory.java:119)).



--
This message was sent by Atlassian JIRA
(v7.6.14#76016)

---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]